| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | List of all members
RtpAnalysisDialog Class Reference
Inheritance diagram for RtpAnalysisDialog:

## Public Slots
void | rtpPlayerReplace ()
void | rtpPlayerAdd ()
void | rtpPlayerRemove ()

## Signals
void | goToPacket (int packet_num)
void | rtpPlayerDialogReplaceRtpStreams (QVector< rtpstream_id_t * > stream_ids)
void | rtpPlayerDialogAddRtpStreams (QVector< rtpstream_id_t * > stream_ids)
void | rtpPlayerDialogRemoveRtpStreams (QVector< rtpstream_id_t * > stream_ids)
void | updateFilter (QString filter, bool force=false)

## Public Member Functions
| RtpAnalysisDialog (RtpAnalysisDialog &other)=delete
void | operator= (const RtpAnalysisDialog &)=delete
void | replaceRtpStreams (QVector< rtpstream_id_t * > stream_ids)
void | addRtpStreams (QVector< rtpstream_id_t * > stream_ids)
void | removeRtpStreams (QVector< rtpstream_id_t * > stream_ids)
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
bool | fileClosed () const
| true if the file has been closed, false otherwise.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
void | setWindowModality (Qt::WindowModality windowModality)

## Static Public Member Functions
static RtpAnalysisDialog * | openRtpAnalysisDialog (QWidget &parent, CaptureFile &cf, PacketList *packet_list)
static QToolButton * | addAnalyzeButton (QDialogButtonBox *button_box, RtpBaseDialog *dialog)
| Common routine to add a "Analyze" button to a QDialogButtonBox.

## Protected Slots
virtual void | updateWidgets ()
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent)

## Protected Member Functions
| RtpAnalysisDialog (QWidget &parent, CaptureFile &cf)
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | accept ()
virtual void | reject ()
void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
virtual void | updateWidgets ()
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
void | loadSplitterState (QSplitter *splitter=nullptr)

## Additional Inherited Members
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
bool | file_closed_

## Constructor & Destructor Documentation

## ◆ RtpAnalysisDialog()

RtpAnalysisDialog::RtpAnalysisDialog | ( | RtpAnalysisDialog & | other | ) |
| delete

Should not be cloneable and assignable

## Member Function Documentation

## ◆ addAnalyzeButton()

QToolButton * RtpAnalysisDialog::addAnalyzeButton | ( | QDialogButtonBox * | button_box,
|  | RtpBaseDialog * | dialog
| ) |  |
| static

Common routine to add a "Analyze" button to a QDialogButtonBox.

Parameters

  button_box | Caller's QDialogButtonBox.

Returns
  The new "Analyze" button.

## ◆ openRtpAnalysisDialog()

RtpAnalysisDialog * RtpAnalysisDialog::openRtpAnalysisDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | PacketList * | packet_list
| ) |  |
| static

Returns singleton

## ◆ replaceRtpStreams()

void RtpAnalysisDialog::replaceRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |

Replace/Add/Remove an RTP streams to analyse. Requires array of rtpstream_id_t.

Parameters

  stream_ids | structs with rtpstream_id

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/rtp_analysis_dialog.h
- /builds/wireshark/wireshark/ui/qt/rtp_analysis_dialog.cpp